From de1789b78383ae59e4428627beae848ae430b48b Mon Sep 17 00:00:00 2001
From: marcoveeneman <marco-veeneman@hotmail.com>
Date: Thu, 6 Apr 2017 22:58:29 +0200
Subject: Initial Travis CI support.

All the Tiva demos and testhal applications are built except the LWIP demo.
---
 script.sh | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 script.sh

(limited to 'script.sh')

diff --git a/script.sh b/script.sh
new file mode 100644
index 0000000..457a38f
--- /dev/null
+++ b/script.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+set -ex
+
+export PATH=/tmp/gcc-arm-none-eabi-4_9-2015q3/bin:$PATH
+
+git checkout -- .
+git clean -xfd
+make -C demos/TIVA/RT-TM4C123G-LAUNCHPAD
+
+git checkout -- .
+git clean -xfd
+make -C demos/TIVA/RT-TM4C1294-LAUNCHPAD
+
+# This demo needs LWIP, it is disabled for now.
+# git checkout -- .
+# git clean -xfd
+# make -C demos/TIVA/RT-TM4C1294-LAUNCHPAD-LWIP
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/EXT/
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/GPT
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/I2C
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/PWM
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/SPI
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/WDG
-- 
cgit v1.2.3